Subject: Re: Iterated and Salted S2K - weakness or unclear specification?

From: [email-masked]
Date: Wed, 15 Nov 2000 13:26:51 -0800

Bo Baldersson writes:
> Have I interpreted the spec wrong when I assume that the text ( sec 3.6.1.3)
> 	
> 	"Then the salt, followed by the passphrase data is repeatedly hashed
> 	until the number of octets specified by the octet count has been hashed"
> 	
> means tha exact 'count'  bytes should be hashed? 

When we say the data is "repeatedly hashed", we mean that it is repeatedly
passed into the same hash context.  So it is hash (salt, passphrase, salt,
passphrase, salt, passphrase, ...) where the part in parentheses has a
length of "count" bytes (or length of salt+passphrase if that is greater).

Hal Finney
PGP Security